function [ matice ] = matice_P( maticeP )
%% Odstranění sloupců s pravděpodobností setrvání ve stavu menší než 0.25
%
% vstup maticeP 
% matice přechodů i se slouci s malou hodnotouu
%
% výstup matice
% matice přechodů s odstraněnými sloupci s malou hodnotou 
%


matice = [];
pozice = 0;

for k = 1:size(maticeP,2);
            
    if maticeP(1,k) > 0.25
    pozice = pozice+1;

    matice(:,pozice) = maticeP(:,k);

      if maticeP(3,k) ~= 0 && k+1 < size(maticeP,2) 
        if maticeP(1,k+1) < 0.25
            matice(1,pozice) = maticeP(1,k) + maticeP(2,k);
            matice(2,pozice) = maticeP(3,k);
            matice(3,pozice) = 0;

        k = k+1;
        end
      end    
    end

end
end

